<template>
    <div class="rule-item-line rule-item-line-add">
        <div class="row row-rule">
            <div :class="['first-col rule-plus-col', operator]">
                <div class="rule-item-line__number">{{ lineNumber }}</div>
                <div class="plus-rule" @click="addNewLine"><i class="icon-add"></i></div>
            </div>
            <div class="operands-col">
                <Dropdown :menu="menu" initialLabel="Not defined" title="1st Operand" />
            </div>
            <div class="operant-col">
                <Dropdown :menu="menuOperator" :oneLevel="true" initialLabel="Not defined" title="Operator" />
            </div>
            <div class="operands-col">
                <Dropdown :menu="menu" initialLabel="Not defined" title="2st Operand" />
            </div>
            <div class="delete-col">
                <div class="button button-icon rounded" @click.prevent="deleteLine"><i class="icon-delete"></i></div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">

const props = defineProps({
    operator: { 
        type: String, 
        required: true 
    },
    lineNumber: {
        type: String,
        required: true
    }
});

const emit = defineEmits(['addLine', 'deleteLine']);

const menu = ref([
    {
    id: 1,
    label: "Select Column",
    submenu: [
        { id: 11, label: "Data column name 1" },
        { id: 12, label: "Data column name 2" },
        { id: 13, label: "Data column name 3" },
        { id: 14, label: "Data column name 4" },
    ],
    },
    {
    id: 2,
    label: "Select KPI",
    submenu: [
        { id: 21, label: "KPI name 1" },
        { id: 22, label: "KPI name 2" },
        { id: 22, label: "KPI name 3" },
        { id: 22, label: "KPI name 4" },
    ],
    },
]);

const menuOperator = ref([
    {
        id: 1,
        label: "Greater than",
        symbol: ">"
    },
    {
        id: 2,
        label: "Less than",
        symbol: "<"
    },
    {
        id: 3,
        label: "Equal to",
        symbol: "="
    },
    {
        id: 4,
        label: "Greater than or equal to",
        symbol: ">="
    },
    {
        id: 5,
        label: "Less than or equal to",
        symbol: "<="
    },
    {
        id: 6,
        label: "In",
        symbol: ""
    },
    {
        id: 7,
        label: "Regex.Match",
        symbol: ""
    }
]);

const addNewLine = () => {
    emit('addLine');
};

const deleteLine = () => {
  emit('deleteLine');
};

</script>